### Class

# Ggit TreeBuilder

#### Description [src]

    class Ggit.TreeBuilder : Ggit.Native
    {
      /* No available fields */
    }

Represents a tree object.

#### Hierarchy

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_tree_builder_clear

Clear all entries in the tree builder.

###### ggit_tree_builder_get_entry

Get an entry by path.

###### ggit_tree_builder_insert

Insert a file with a given blob in the tree builder. If the tree builder already contains an entry for the given file, then this entry will be overwritten.

###### ggit_tree_builder_remove

Remove an entry from the builder by path.

###### ggit_tree_builder_write

Write the contents of the tree builder as a tree object.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitTreeBuilderClass {
      /* no available fields */
    }

The class structure for `GgitTreeBuilderClass`.